"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var omit_1 = require("stapp/lib/helpers/omit/omit");
var pick_1 = require("stapp/lib/helpers/pick/pick");
/**
 * @private
 */
exports.defaultSerialize = function (data) { return JSON.stringify(data); };
/**
 * @private
 */
exports.defaultDeserialize = function (data) { return JSON.parse(data); };
/**
 * @private
 */
exports.pick = function (blackList, whiteList) { return function (data) {
    if (whiteList) {
        return pick_1.pick(data, whiteList);
    }
    if (blackList) {
        return omit_1.omit(data, blackList);
    }
    return data;
}; };
/**
 * @private
 */
exports.mapTransform = function (transforms) { return function (data) {
    return Object.keys(data).reduce(function (result, key) {
        result[key] = transforms.reduce(function (subState, transform) {
            return transform.in(subState, key, data);
        }, data[key]);
        return result;
    }, {});
}; };
/**
 * @private
 */
exports.mapTransformRight = function (transforms) { return function (data) {
    return Object.keys(data).reduce(function (result, key) {
        result[key] = transforms.reduceRight(function (subState, transform) {
            return transform.out(subState, key, data);
        }, data[key]);
        return result;
    }, {});
}; };
/**
 * @private
 */
exports.defaultMerge = function (restoredState, originalState) {
    return Object.assign({}, originalState, restoredState);
};
//# sourceMappingURL=helpers.js.map