"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Converts synchronous storage into asynchronous
 * @param storage any localStorage or sessionStorage compatible object
 * @returns {AsyncStorage}
 */
exports.toAsync = function (storage) { return ({
    getItem: function (key) {
        return Promise.resolve(storage.getItem(key));
    },
    setItem: function (key, data) {
        return Promise.resolve(storage.setItem(key, data));
    },
    removeItem: function (key) {
        return Promise.resolve(storage.removeItem(key));
    }
}); };
//# sourceMappingURL=toAsync.js.map